Skip to main content
GET
Get due date scheme

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

dueDateSchemeUid
string
required

UID of the due date scheme

Response

OK

Due date scheme details. Auto-calculated due dates are computed using the organization's time zone, not the calling user's profile time zone.

afterDelivery
object
required

Rule applied to determine the due date completion time, based on when the job is completed relative to office hours

afterStart
object
required

Rule applied to determine the due date start time, based on when the job was received relative to office hours

deadlineExtensions
object[]
required

Deadline extension rules

duringDelivery
object
required

Rule applied to determine the due date completion time, based on when the job is completed relative to office hours

duringStart
object
required

Rule applied to determine the due date start time, based on when the job was received relative to office hours

isDefault
boolean
required
read-only
name
string
required

Name of the due date scheme

nonBusinessDays
string<date-time>[]
required

Dates excluded as non-business days

officeHours
object
required

Office hours window used to calculate the due date

quota
object
required

Volume of work a due date scheme's quota is calculated from

uid
string
required

Unique identifier of the due date scheme

workingDays
enum<string>[]
required

Days of week considered working days. Empty means every day.

Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY